<?php
error_reporting(0);
//----------
include ('inc/config.inc.php.php');
//----------
session_name('sid');
session_start();
//----------
connect_to_db();
include ('inc/autorize.php.php');
include ('inc/online.php.php');
$rands = rand(1000, 10000);
//----------
$partner = intval($_GET['partner']); if ($partner == 0) $partner = 1;
//----------
$arr = mysql_query("SELECT COUNT(*) FROM `love_partner`;");
$part_users = mysql_result($arr, 0);
if($partner > $part_users) $partner = 1;
//----------
$partner_arr = @mysql_query("SELECT * FROM `love_partner` WHERE `partner` = ".$partner." LIMIT 1;");
$row = @mysql_fetch_array($partner_arr);
$partner_site = $row['site'];
$partner_name = $row['name'];
//----------
if (!$autorize) {
header('Location: index.php?partner='.$partner.'&mod='.$mod.'&'.$srand.'='.$r_rand);
exit();
}
//----------
$g = intval($_GET['g']); if ($g == 0) $g = intval($autorize['strana']);
$ts = intval($_GET['ts']); if ($ts == 0) $ts = intval($autorize['gorod']);
$nm4 = intval($_GET['g']); if ($nm4 == 0) $nm4 = intval($autorize['strana']);
$nm5 = intval($_GET['ts']); if ($nm5 == 0) $nm5 = intval($autorize['gorod']);
include ('inc/function.php');
//----------
$title = 'Профайл';
include ('header.php');
echo $header;
if($mod == '1') echo '<p align="center"><small>';
//----------
echo $class_d2;
echo 'Профайл<br/>';
echo $class_divz.$class_d0;
if($mod == '1') echo '</small></p><p align="left"><small>';
echo '<b>Личные данные</b><br/>';
if($mod == '1') echo '---<br/>';
echo $class_divz;
if (@$go !== 'go') {
if($mod == '1') {
echo '<b>Место жительства: <a href="/city_edit.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">'.$g.', '.$ts.'</a><br/></b>';
echo 'Имя:</small><br/>';
echo '<input name="nm'.$rands.'" type="text" maxlength="250" value="'.$autorize['name'].'" /><br/>';
echo '<select name="nm7'.$rands.'"><option value="0">Как есть</option><option value="1">Транслит</option></select><br/>';
echo '<small>Дата рождения:</small><br/>';
echo '<select name="nm1'.$rands.'">';
for($i = 1; $i <= 31; $i++)
{
echo '<option value="'.$i.'"';
if($autorize['den_r'] == $i) echo ' selected="selected" ';
echo '>'.$i.'</option>';
}
echo '</select><small>-</small>';

echo '<select name="nm2'.$rands.'">';
for($i = 1; $i <= 12; $i++)
{
$mes_r_array = array("", "Января", "Февраля", "Марта", "Апреля", "Мая", "Июня", "Июля", "Августа", "Сентября", "Октября", "Ноября", "Декабря");
echo '<option value="'.$i.'"';
if($autorize['mes_r'] == $i) echo ' selected="selected" ';
echo '>'.$mes_r_array[$i].'</option>';
}
echo '</select><small>-</small>';

echo '<select name="nm3'.$rands.'">';
for($i = 2001; $i >= 1965; $i--)
{
echo '<option value="'.$i.'"';
if($autorize['god_r'] == $i) echo ' selected="selected" ';
echo '>'.$i.'</option>';
}
echo "</select><br/>";
echo '<small><anchor>Сохранить<go href="'.$PHP_SELF.'?partner='.$partner.'&amp;mod='.$mod.'&amp;go=go&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" method="post">';
echo "<postfield name='nm' value='$(nm".$rands.")' />";
echo "<postfield name='nm1' value='$(nm1".$rands.")' />";
echo "<postfield name='nm2' value='$(nm2".$rands.")' />";
echo "<postfield name='nm3' value='$(nm3".$rands.")' />";
echo "<postfield name='nm4' value='".$nm4."' />";
echo "<postfield name='nm5' value='".$nm5."' />";
echo "<postfield name='nm7' value='$(nm7".$rands.")' />";
echo '</go></anchor><br/>';
}
else
{
echo '<form action="'.$PHP_SELF.'?partner='.$partner.'&amp;mod='.$mod.'&amp;go=go&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" method="post">';
echo $class_d1;
echo '<b>Место жительства: <a href="/city_edit.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">'.$g.', '.$ts.'</a><br/></b>';
echo 'Имя:<br/>';
echo '<input name="nm" type="text" maxlength="250" value="'.$autorize['name'].'" class="button" /><br/>';
echo '<select name="nm7" class="button"><option value="0">Как есть</option><option value="1">Транслит</option></select><br/>';
echo '<small>Дата рождения:</small><br/>';
echo '<select name="nm1" class="button">';
for($i = 1; $i <= 31; $i++)
{
echo '<option value="'.$i.'"';
if($autorize['den_r'] == $i) echo ' selected="selected" ';
echo '>'.$i.'</option>';
}
echo '</select><small>-</small>';

echo '<select name="nm2" class="button">';
for($i = 1; $i <= 12; $i++)
{
$mes_r_array = array("", "Января", "Февраля", "Марта", "Апреля", "Мая", "Июня", "Июля", "Августа", "Сентября", "Октября", "Ноября", "Декабря");
echo '<option value="'.$i.'"';
if($autorize['mes_r'] == $i) echo ' selected="selected" ';
echo '>'.$mes_r_array[$i].'</option>';
}
echo '</select><small>-</small>';

echo '<select name="nm3" class="button">';
for($i = 2001; $i >= 1965; $i--)
{
echo '<option value="'.$i.'"';
if($autorize['god_r'] == $i) echo ' selected="selected" ';
echo '>'.$i.'</option>';
}
echo "</select><br/>";
echo '<input type="hidden" name="nm4" value="'.$nm4.'" />';
echo '<input type="hidden" name="nm5" value="'.$nm5.'" />';
echo '<input type="submit" value="Сохранить" class="do_button" />';
echo $class_divz;
echo '</form>';
}
}
else
{
echo $class_d1;
$nm = mysql_escape_string(htmlspecialchars(trim($_POST['nm'])));
$nm = str_replace('$', '$$', $nm);
$nm = substr($nm, 0, 40);
$nm1 = intval($_POST['nm1']);
$nm2 = intval($_POST['nm2']);
$nm3 = intval($_POST['nm3']);
$nm4 = intval($_POST['nm4']);
$nm5 = intval($_POST['nm5']);
$nm7 = intval($_POST['nm7']);
if($nm7 == 1) $nm = translit($nm);
$nm6 = (date('Y') - $nm3);
if(empty($error)) $error = '';
if(empty($nm5) and empty($nm4)) $error = $error. '<b>Ошибка!</b> Необходимо указать город!<br/>';
if(empty($nm)) $error = $error. '<b>Ошибка!</b> Необходимо заполнить имя!<br/>';
//----------
if(!empty($error))
{
echo $error;
echo $class_divz.$class_d0;
if($mod == '1') echo '---<br/>';
echo '&#171;- <a href="'.$PHP_SELF.'?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Назад</a><br/>';
if($mod == '1') echo '---<br/>';
echo $class_divz.$class_d1;
echo '[7] <a href="http://'.$_SERVER['HTTP_HOST'].'/index.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="7">Поиск</a> [8] <a href="http://'.$_SERVER['HTTP_HOST'].'/menu.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="8">Личное меню</a> [9] <a href="http://'.$_SERVER['HTTP_HOST'].'/out.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="9">Выход</a><br/>';
if($mod == '1') echo '</small></p><p align="center"><small>';
echo $class_divz.$class_d2;
echo $class_divz.$class_d2.$class_version.$class_divz.$class_div;
echo $class_endpage;
exit();
}

$sql = @mysql_query("UPDATE `love_user` SET `name` = '".$nm."', `den_r` = '".$nm1."', `mes_r` = '".$nm2."', `god_r` = '".$nm3."', `strana` = '".$nm4."', `gorod` = '".$nm5."', `vozrast` = '".$nm6."' WHERE `id` = '".intval($autorize['id'])."';");
//-----------
if($sql) { echo 'Данные успешно сохранены!<br/>'; } else { echo 'При сохранении произошла ошибка!<br/>'; echo @mysql_error().'<br/>'; }
echo $class_divz;
}
echo $class_d0;
if($mod == '1') echo '---<br/>';
echo '&#171;- <a href="/menu.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Назад</a><br/>';
if($mod == '1') echo '---<br/>';
echo $class_divz.$class_d1;
echo '[7] <a href="http://'.$_SERVER['HTTP_HOST'].'/index.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="7">Поиск</a> [8] <a href="http://'.$_SERVER['HTTP_HOST'].'/menu.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="8">Личное меню</a> [9] <a href="http://'.$_SERVER['HTTP_HOST'].'/out.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="9">Выход</a><br/>';
if($mod == '1') echo '</small></p><p align="center"><small>';
echo $class_divz.$class_d2;
echo $class_divz.$class_d2.$class_version.$class_divz.$class_div;
echo $class_endpage;
?>